### Virtual Method

# Clutter Actor allocate

#### Declaration [src]

    void
    allocate (
      ClutterActor* self,
      const ClutterActorBox* box
    )

#### Description [src]

Assigns the size of a `ClutterActor` from the given `box`.

This function should only be called on the children of an actor when overriding the `Clutter.ActorClass.allocate` virtual function.

This function will adjust the stored allocation to take into account the alignment flags set in the `ClutterActor:x-align` and `ClutterActor:y-align` properties, as well as the margin values set in the`ClutterActor:margin-top`, `ClutterActor:margin-right`, `ClutterActor:margin-bottom`, and `ClutterActor:margin-left` properties.

This function will respect the easing state of the `ClutterActor` and interpolate between the current allocation and the new one if the easing state duration is a positive value.

Actors can know from their allocation box whether they have moved with respect to their parent actor. The `flags` parameter describes additional information about the allocation, for instance whether the parent has moved with respect to the stage, for example because a grandparent’s origin has moved.

#### Parameters

`box`

  Type: `ClutterActorBox`

  New allocation of the actor, in parent-relative coordinates.

  The data is owned by the caller of the method.